<fieldset class="{{ 'c-statement__step'|prefixClass }}" id="check" tabindex="-1">
    <div class="{{ 'u-nojs-hide--block'|prefixClass }}">
        <p class="{{ 'c-statement__formhint flash-warning'|prefixClass }}">
            <i class="{{ 'c-statement__hint-icon fa fa-lg fa-exclamation-circle'|prefixClass }}" aria-hidden="true"></i>
            <span class="{{ 'block u-ml'|prefixClass }}">
                {{ "statement.recheck"|trans }}
            </span>
        </p>
        <p id="c-statement-hint-recheck" class="{{ 'flash-error c-statement__formhint hidden'|prefixClass }}">
            <i class="{{ 'c-statement__hint-icon fa fa-lg fa-exclamation-circle'|prefixClass }}" aria-hidden="true"></i>
            <a href="#" class="{{ 'block u-ml'|prefixClass }}" tabindex="0">
                {{ "error.mandatoryfields"|trans }}
            </a>
        </p>

        <p class="{{ 'c-statement__formhint flash-info'|prefixClass }}">
            <i class="{{ 'c-statement__hint-icon fa fa-lg fa-info-circle'|prefixClass }}" aria-hidden="true"></i>
            <span class="{{ 'block u-ml'|prefixClass }}">
                {{ templateVars.procedureUiDefinition.statementFormHintRecheck|default }}
            </span>
        </p>

        {% if hasPermission('field_statement_public_allowed') %}
            <div class="{{ 'flow-root'|prefixClass }}" data-statement-check="r_makePublic">
                <span data-statement-check-value="false" id="explanationStatementDontPublish">
                    {{ "explanation.statement.dont.publish"|trans|wysiwyg }}
                </span>
                <span data-statement-check-value="true" id="statementDetailFormPersonalPublish">
                    {{ 'statement.detail.form.personal.publish'|trans({ projectName:projectName })|wysiwyg }}
                </span>
            </div>
        {% endif %}

        {% if
            (hasPermission('field_statement_user_state') and templateVars.formOptions.userState) or
            (hasPermission('field_statement_user_group') and templateVars.formOptions.userGroup) or
            hasPermission('field_statement_user_organisation') or
            (hasPermission('field_statement_user_position') and templateVars.formOptions.userPosition)
        %}
            <div class="flow-root {% if hasPermission('field_statement_public_allowed') %}border--top u-pv-0_25{% endif %}" data-statement-check="r_" id="personalData">
                <span>
                    {% apply spaceless %}
                        <span class="{{ 'layout__item u-1-of-4-desk-up u-pl-0'|prefixClass }}">
                            {% if hasPermission('field_statement_user_state') and templateVars.formOptions.userState %}
                                <em>{{ 'state'|trans }}: </em> <span data-statement-check-content="r_userState"></span><br>
                            {% endif %}
                            {% if hasPermission('field_statement_user_group') and templateVars.formOptions.userGroup %}
                                <em>{{ 'group'|trans }}: </em> <span data-statement-check-content="r_userGroup"></span>
                            {% endif %}
                        </span>

                        <span class="{{ 'layout__item u-1-of-4-desk-up u-pl-0-palm u-pl-0-lap'|prefixClass }}">
                            {% if hasPermission('field_statement_user_organisation') %}
                                <em>{{ 'organisation'|trans }}: </em> <span data-statement-check-content="r_userOrganisation"></span><br>
                            {% endif %}
                            {% if hasPermission('field_statement_user_position') and templateVars.formOptions.userPosition %}
                                <em>{{ 'position'|trans }}: </em> <span data-statement-check-content="r_userPosition"></span>
                            {% endif %}
                        </span>
                    {% endapply %}
                </span>
            </div>
        {% endif %}

        <div class="{{ 'flow-root border--top u-pt-0_25'|prefixClass }}" data-statement-check="r_useName" id="useNameText">
            <span data-statement-check-value="0">
                {{ 'statement.detail.form.personal.post_anonymously'|trans }}
            </span>
            <span data-statement-check-value="1">
                {{ 'statement.detail.form.personal.post_publicly'|trans }}
                <span class="{{ 'block'|prefixClass }}">
                    {% apply spaceless %}
                        <span class="{{ 'layout__item u-1-of-4-desk-up u-pl-0'|prefixClass }}">
                            <em>Vorname: </em> <span data-statement-check-content="r_firstname"></span><br>
                            <em>Nachname: </em> <span data-statement-check-content="r_lastname"></span>
                        </span>
                        <span class="{{ 'layout__item u-1-of-4-desk-up u-pl-0'|prefixClass }}">
                            {% if hasPermission('field_statement_meta_street') %}
                                <em>{{ "street"|trans }}: </em> <span data-statement-check-content="r_street"></span><br>
                                <em>{{ 'street.number.short'|trans }}: </em><span data-statement-check-content="r_houseNumber"></span><br>
                            {% endif %}

                            {% if hasPermission('field_statement_meta_postal_code') %}
                                <em>PLZ: </em> <span data-statement-check-content="r_postalCode"></span><br>
                            {% endif %}

                            {% if hasPermission('field_statement_meta_city') %}
                                <em>Ort: </em> <span data-statement-check-content="r_city"></span><br>
                            {% endif %}

                        </span>
                    {% endapply %}
                </span>
            </span>
        </div>

        <div class="{{ 'flow-root border--top u-pt-0_25'|prefixClass }}">

            {% if hasPermission('feature_statements_feedback_postal') %}

                <p class="{{ 'inline-block u-mb-0_25'|prefixClass }}" data-statement-check="r_getFeedback" id="getFeedbackText">
                    <span data-statement-check-value="true">
                        <span data-statement-check="r_getEvaluation">
                            <span data-statement-check-value="email">
                                {{ 'statement.feedback.email'|trans|wysiwyg }}
                            </span>
                            <span data-statement-check-value="snailmail">
                                 {{ 'statement.feedback.postal'|trans|wysiwyg }}
                            </span>
                        </span>
                    </span>
                    <span data-statement-check-value="false">
                       {{ 'statement.feedback.none'|trans|wysiwyg }}
                    </span>
                </p>

            {% else %}

                <p class="{{ 'inline-block u-mb-0_25'|prefixClass }}" data-statement-check="r_getFeedback" id="getFeedbackText">
                    <span data-statement-check-value="true">
                        {{ 'statement.detail.form.personal.feedback'|trans }}<br>
                        <em>E-Mail-Adresse:</em> <span data-statement-check-content="r_email"></span>
                    </span>
                    <span data-statement-check-value="false">
                        {{ 'statement.detail.form.personal.feedback.no'|trans|wysiwyg }}
                    </span>
                </p>

            {% endif %}

            {#this span is only to combine aria-labelledby of some elements with the text 'Eingabe ändern'#}
            <span class="{{ 'hidden'|prefixClass }}" aria-hidden="true" id="inputDataChange">{{ "statement.form.input.change"|trans }}</span>
        </div>

        <div class="{{ 'flow-root border--top u-pt-0_25'|prefixClass }}" data-statement-check="r_text">

            <span class="{{ 'flow-root'|prefixClass }}">
                <em>{{ "statement.my"|trans }}: </em>
            </span>

            <span class="{{ 'block height-130 height-auto-palm overflow-auto'|prefixClass }}" data-statement-check-content="r_text"></span>

        </div>
    </div>

    {% if hasPermission('feature_statement_data_protection') %}
        <label class="{{ 'u-mb-0 weight--normal'|prefixClass }}" id="data_protection_label" title="{{ 'statements.required.field'|trans }}">
            <input type="checkbox" id="data_protection" name="r_data_protection" required aria-labelledby="explanation-statement-data-protection">
            <span id="explanation-statement-data-protection" aria-hidden="true">
                {{ "explanation.statement.data.protection"|trans }}
                <a
                    class="{{ 'o-link--default'|prefixClass }}"
                    href= "{{ path('DemosPlan_misccontent_static_dataprotection') }}"
                    target="_blank"
                    rel="noopener"
                    aria-label="Mehr zum Datenschutz">
                    Mehr zum Datenschutz
                </a>
                <span aria-hidden="true">*</span>
            </span>
        </label>
    {% endif %}

    {% if hasPermission('feature_statement_gdpr_consent_submit') %}
        {% set orgaId = branding.orgaId|default %}

        <label class="{{ 'u-mv-0_5'|prefixClass }}" title="{{ 'statements.required.field'|trans }}">
            <input
                type="checkbox"
                id="gdpr_consent"
                name="r_gdpr_consent"
                required
                aria-labelledby="explanation-statement-gdpr-consent"
                data-cy="gdprCheck">
            <span id="explanation-statement-gdpr-consent">
                {% if orgaId != '' %}
                    {{ 'confirm.gdpr.consent'|trans({ link: path('DemosPlan_misccontent_static_dataprotection'), orgaId: orgaId })|wysiwyg }}
                {% else %}
                    {{ 'confirm.gdpr.consent'|trans({ link: path('DemosPlan_misccontent_static_dataprotection') })|wysiwyg }}
                {% endif %}
                <span aria-hidden="true">*</span>
            </span>
        </label>
    {% endif %}
</fieldset>
